Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::DocFieldProcessorPerField Class Reference

Holds all per thread, per field state. More...

`#include <DocFieldProcessorPerField.h>`

Inheritance diagram for Lucene::DocFieldProcessorPerField:

## Public Member Functions

| DocFieldProcessorPerField (const DocFieldProcessorPerThreadPtr &perThread, const FieldInfoPtr &fieldInfo)
virtual | ~DocFieldProcessorPerField ()
virtual String | getClassName ()
boost::shared_ptr< DocFieldProcessorPerField > | shared_from_this ()
virtual void | abort ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

DocFieldConsumerPerFieldPtr | consumer
FieldInfoPtr | fieldInfo
DocFieldProcessorPerFieldPtr | next
int32_t | lastGen
int32_t | fieldCount
Collection< FieldablePtr > | fields

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Holds all per thread, per field state.

## Constructor & Destructor Documentation

## ◆ DocFieldProcessorPerField()

Lucene::DocFieldProcessorPerField::DocFieldProcessorPerField | ( | const DocFieldProcessorPerThreadPtr & | perThread,
|  | const FieldInfoPtr & | fieldInfo )

References fieldInfo.

Referenced by _getClassName().

## ◆ ~DocFieldProcessorPerField()

virtual Lucene::DocFieldProcessorPerField::~DocFieldProcessorPerField | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::DocFieldProcessorPerField::_getClassName | ( |  | ) |

inline static

References DocFieldProcessorPerField().

## ◆ abort()

virtual void Lucene::DocFieldProcessorPerField::abort | ( |  | ) |

virtual

## ◆ getClassName()

virtual String Lucene::DocFieldProcessorPerField::getClassName | ( |  | ) |

inline virtual

## ◆ shared_from_this()

boost::shared_ptr< DocFieldProcessorPerField > Lucene::DocFieldProcessorPerField::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ consumer

DocFieldConsumerPerFieldPtr Lucene::DocFieldProcessorPerField::consumer

## ◆ fieldCount

int32_t Lucene::DocFieldProcessorPerField::fieldCount

## ◆ fieldInfo

FieldInfoPtr Lucene::DocFieldProcessorPerField::fieldInfo

Referenced by DocFieldProcessorPerField().

## ◆ fields

Collection<FieldablePtr> Lucene::DocFieldProcessorPerField::fields

## ◆ lastGen

int32_t Lucene::DocFieldProcessorPerField::lastGen

## ◆ next

DocFieldProcessorPerFieldPtr Lucene::DocFieldProcessorPerField::next

The documentation for this class was generated from the following file:

- DocFieldProcessorPerField.h

clucene.sourceforge.net